﻿# Documentation Tests/Specs

You will find from the following links the supported extensions in markdig and their usage:

  - 2 kind of tables:
    - [**Pipe tables**](PipeTableSpecs.md)
    - [**Grid tables**](GridTableSpecs.md)
  - [**Extra emphasis**](EmphasisExtraSpecs.md)
    - strike through `~~`,
    - Subscript `~`
    - Superscript `^` 
    - Inserted `++`
    - Marked `==`
  - [**Special attributes**](GenericAttributesSpecs.md)
  - [**Definition lists**](DefinitionListSpecs.md)
  - [**Footnotes**](FootnotesSpecs.md)
  - [**Auto-identifiers**](AutoIdentifierSpecs.md)
  - [**Auto-links**](AutoLinks.md)
  - [**Task Lists**](TaskListSpecs.md)
  - [**Extra bullet lists**](ListExtraSpecs.md)
  - [**Media support**](MediaSpecs.md)
  - [**Abbreviations**](AbbreviationSpecs.md)
  - [**Citation**](FigureFooterAndCiteSpecs.md)
  - [**Custom containers**](CustomContainerSpecs.md)
  - [**Figures**](FigureFooterAndCiteSpecs.md)
  - [**Footers**](FigureFooterAndCiteSpecs.md)
  - [**Mathematics**](MathSpecs.md)/Latex extension by enclosing `$$` for block and `$` for inline math (inspired from this [CommonMark discussion](https://talk.commonmark.org/t/mathematics-extension/457/31))
  - [**Soft lines as hard lines**](HardlineBreakSpecs.md)
  - [**Emoji**](EmojiSpecs.md)
  - [**SmartyPants**](SmartyPantsSpecs.md)
  - [**Bootstrap**](BootstrapSpecs.md)
  - [**Diagrams**](DiagramsSpecs.md)
  - [**YAML frontmatter**](YamlSpecs.md)
  - [**JIRA links**](JiraLinks.md)

   > Notice that the links above are not yet the final documentation but are "specification" files used for testing the correctness of markdig for each extension